# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20130606070947) do

  create_table "access_rights", :force => true do |t|
    t.integer  "user_id"
    t.integer  "grantable_id"
    t.string   "grantable_type"
    t.datetime "expired_at"
    t.datetime "created_at",     :null => false
    t.datetime "updated_at",     :null => false
  end

  add_index "access_rights", ["grantable_id", "grantable_type"], :name => "index_access_rights_on_grantable_id_and_grantable_type"
  add_index "access_rights", ["user_id"], :name => "index_access_rights_on_user_id"

  create_table "additional_rights", :force => true do |t|
    t.string   "title"
    t.text     "description"
    t.datetime "created_at",                     :null => false
    t.datetime "updated_at",                     :null => false
    t.boolean  "expires",     :default => false
  end

  add_index "additional_rights", ["title"], :name => "index_additional_rights_on_title"

  create_table "rights", :force => true do |t|
    t.string   "controller"
    t.string   "action"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
  end

  add_index "rights", ["action"], :name => "index_rights_on_action"
  add_index "rights", ["controller"], :name => "index_rights_on_controller"

  create_table "role_rights", :force => true do |t|
    t.integer  "role_id"
    t.integer  "right_id"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
  end

  add_index "role_rights", ["right_id"], :name => "index_role_rights_on_right_id"
  add_index "role_rights", ["role_id"], :name => "index_role_rights_on_role_id"

  create_table "roles", :force => true do |t|
    t.string   "title"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
  end

  add_index "roles", ["title"], :name => "index_roles_on_title"

  create_table "users", :force => true do |t|
    t.string   "name"
    t.integer  "role_id"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
    t.string   "token"
  end

end
